<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>propclass/craft.h Source File (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">propclass/craft.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">    Crystal Space Entity Layer</span>
<a name="l00003"></a>00003 <span class="comment">    Copyright (C) 2005 by Jorrit Tyberghein</span>
<a name="l00004"></a>00004 <span class="comment"></span>
<a name="l00005"></a>00005 <span class="comment">    This library is free software; you can redistribute it and/or</span>
<a name="l00006"></a>00006 <span class="comment">    modify it under the terms of the GNU Library General Public</span>
<a name="l00007"></a>00007 <span class="comment">    License as published by the Free Software Foundation; either</span>
<a name="l00008"></a>00008 <span class="comment">    version 2 of the License, or (at your option) any later version.</span>
<a name="l00009"></a>00009 <span class="comment"></span>
<a name="l00010"></a>00010 <span class="comment">    This library is distributed in the hope that it will be useful,</span>
<a name="l00011"></a>00011 <span class="comment">    but WITHOUT ANY WARRANTY; without even the implied warranty of</span>
<a name="l00012"></a>00012 <span class="comment">    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU</span>
<a name="l00013"></a>00013 <span class="comment">    Library General Public License for more details.</span>
<a name="l00014"></a>00014 <span class="comment"></span>
<a name="l00015"></a>00015 <span class="comment">    You should have received a copy of the GNU Library General Public</span>
<a name="l00016"></a>00016 <span class="comment">    License along with this library; if not, write to the Free</span>
<a name="l00017"></a>00017 <span class="comment">    Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.</span>
<a name="l00018"></a>00018 <span class="comment">*/</span>
<a name="l00019"></a>00019 
<a name="l00020"></a>00020 <span class="preprocessor">#ifndef __CEL_PF_CRAFTCONTROLLER__</span>
<a name="l00021"></a>00021 <span class="preprocessor"></span><span class="preprocessor">#define __CEL_PF_CRAFTCONTROLLER__</span>
<a name="l00022"></a>00022 <span class="preprocessor"></span>
<a name="l00023"></a>00023 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/cstypes_8h.html">cstypes.h</a>&quot;</span>
<a name="l00024"></a>00024 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/ref_8h.html">csutil/ref.h</a>&quot;</span>
<a name="l00025"></a>00025 <span class="preprocessor">#include &quot;<a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/scf_8h.html">csutil/scf.h</a>&quot;</span>
<a name="l00026"></a>00026 
<a name="l00056"></a><a class="code" href="structiPcCraftController.html">00056</a> <span class="keyword">struct </span><a class="code" href="structiPcCraftController.html" title="This is a property class used to control movement of an hovercraft.">iPcCraftController</a> : <span class="keyword">public</span> <span class="keyword">virtual</span> <a class="codeRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html">iBase</a>
<a name="l00057"></a>00057 {
<a name="l00058"></a>00058   SCF_INTERFACE (<a class="code" href="structiPcCraftController.html" title="This is a property class used to control movement of an hovercraft.">iPcCraftController</a>, 0, 0, 1);
<a name="l00059"></a>00059 
<a name="l00063"></a>00063   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a7885a0b660a8e8bb1d86d365b1b9d368" title="Start the object turning left.">StartTurnLeft</a>() = 0;
<a name="l00067"></a>00067   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a366675ecfc53ed3f05db6f959ee28514" title="Stop the object turning left.">StopTurnLeft</a>() = 0;
<a name="l00071"></a>00071   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a9f5d168c515c45c406d010c1ffeb82c7" title="Start the object turning right.">StartTurnRight</a>() = 0;
<a name="l00075"></a>00075   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#ab6ba91db36d41b23d1d0ce62c7972055" title="Stop the object turning right.">StopTurnRight</a>() = 0;
<a name="l00076"></a>00076 
<a name="l00080"></a>00080   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#abfae88207e1d20b0756b577ce375aeea" title="Start the object turning up.">StartTurnUp</a>() = 0;
<a name="l00084"></a>00084   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a4d185ee376f3d389958f963de6703997" title="Stop the object turning up.">StopTurnUp</a>() = 0;
<a name="l00088"></a>00088   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#abbe7aa979e38c547c8c13e7504b546d2" title="Start the object turning down.">StartTurnDown</a>() = 0;
<a name="l00092"></a>00092   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#ad351433ea96c29c5a2a453b2fe990d1c" title="Stop the object turning down.">StopTurnDown</a>() = 0;
<a name="l00093"></a>00093 
<a name="l00097"></a>00097   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a8c8868caf7463d3b7b28847e46855b45" title="Set the objects left and right turning acceleration.">SetAccTurn</a>(<span class="keywordtype">float</span> tacc) = 0;
<a name="l00101"></a>00101   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#aab9773b82529279d35bc79f3e3a2b3c2" title="Set the objects up and down turning acceleration.">SetAccPitch</a>(<span class="keywordtype">float</span> uacc) = 0;
<a name="l00102"></a>00102 
<a name="l00106"></a>00106   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a9a400f44f4f767e18e3973de509e1ad3" title="Set the objects maximum left and right turning velocity.">SetMaxTurn</a>(<span class="keywordtype">float</span> turn) = 0;
<a name="l00110"></a>00110   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a9e64889dc49a0d31f69c47bcb1f1fd30" title="Set the objects maximum up and down turning velocity.">SetMaxPitch</a>(<span class="keywordtype">float</span> mud) = 0;
<a name="l00115"></a>00115   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a05ef496b35a699996338303f75c15a8b" title="Set the roll factor.">SetRoll</a> (<span class="keywordtype">float</span> roll) = 0;
<a name="l00119"></a>00119   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a56adb646ac8edd4c8010657bc5310b77" title="Set the thrust force of the craft.">SetThrustForce</a>(<span class="keywordtype">float</span> tf) = 0;
<a name="l00124"></a>00124   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#aae11e461259b858e8d4c7e70cded5314" title="Set the Top Speed of the thruster.">SetTopSpeed</a>(<span class="keywordtype">float</span> tspeed) = 0;
<a name="l00128"></a>00128   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#aadae8258235bf45c21f46a545b26ad79" title="@@@ Document me !">SetRedirectVelocityRatio</a> (<span class="keywordtype">float</span> rdvr) = 0;
<a name="l00133"></a>00133   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#ae3d36e98f582accae2a9434371631c74" title="Set the deceleration rate.">SetDecelerationRate</a> (<span class="keywordtype">float</span> decr) = 0;
<a name="l00138"></a>00138   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#aba0ca2c5a9ebf39a230ce99b95fa3556" title="Set the braking force.">SetBrakingSpeed</a> (<span class="keywordtype">float</span> bspd) = 0;
<a name="l00139"></a>00139 
<a name="l00143"></a>00143   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a121ab58ceb911a66ac396a0a92a512fe" title="Turn on thruster.">ThrustOn</a>() = 0;
<a name="l00147"></a>00147   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a2fabdff2be024425b9b3bc7d4e713983" title="Turn off thruster.">ThrustOff</a>() = 0;
<a name="l00151"></a>00151   <span class="keyword">virtual</span> <span class="keywordtype">bool</span> <a class="code" href="structiPcCraftController.html#a35ea7fb4cf52360e4398a2e1c98785e4" title="Report whether thruster is on (true) or turned off (false).">IsThrusterOn</a> () = 0;
<a name="l00156"></a>00156   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a0411459aaaf940f8747996e9bea5184c" title="Set the top speed when afterburner is on.">SetAfterBurnerTopSpeed</a> (<span class="keywordtype">float</span> tspeed) = 0;
<a name="l00160"></a>00160   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#adab1cb088ca5cc0971fb7abf5f301208" title="Turn on afterburner.">AfterBurnerOn</a> () = 0;
<a name="l00164"></a>00164   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a79306916af43121b02cb5a6c926d4ff8" title="Turn off afterburner.">AfterBurnerOff</a> () = 0;
<a name="l00168"></a>00168   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#af4a798d5db6c9cf6e3d4cc8389f6f37a" title="Turn on brakes.">BrakesOn</a> () = 0;
<a name="l00172"></a>00172   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a9bb01021ab87f89c29d23352d3f9bd50" title="Turn off brakes.">BrakesOff</a> () = 0;
<a name="l00177"></a>00177   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a29abae7f430104de605289c6ffbd34ac" title="Turn on sliding.">SlideOn</a> () = 0;
<a name="l00181"></a>00181   <span class="keyword">virtual</span> <span class="keywordtype">void</span> <a class="code" href="structiPcCraftController.html#a193c8b711445c2d22b3c7865ce5e26d2" title="Turn off sliding.">SlideOff</a> () = 0;
<a name="l00182"></a>00182 };
<a name="l00183"></a>00183 
<a name="l00184"></a>00184 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
